## org.apache.felix.bundleplugin
Class BlueprintPlugin

    java.lang.Object
      org.apache.felix.bundleplugin.BlueprintPlugin

All Implemented Interfaces:
  aQute.bnd.service.AnalyzerPlugin

    public class BlueprintPlugin

extends java.lang.Object
implements aQute.bnd.service.AnalyzerPlugin

Nested Class Summary
`static class` `BlueprintPlugin.Attribute`

Constructor Summary
`BlueprintPlugin()`

Method Summary
`java.util.Set<java.lang.String>` `analyze(java.io.InputStream in)`
`boolean` `analyzeJar(aQute.lib.osgi.Analyzer analyzer)`
`protected javax.xml.transform.Transformer` `getTransformer(java.net.URL url)`
`static java.util.Set<BlueprintPlugin.Attribute>` `parseHeader(java.lang.String value, aQute.libg.reporter.Reporter logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintPlugin

    public BlueprintPlugin()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### analyzeJar

    public boolean analyzeJar(aQute.lib.osgi.Analyzer analyzer)
                       throws java.lang.Exception

  Specified by:
    `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
  Throws:
    `java.lang.Exception`

### analyze

    public java.util.Set<java.lang.String> analyze(java.io.InputStream in)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTransformer

    protected javax.xml.transform.Transformer getTransformer(java.net.URL url)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseHeader

    public static java.util.Set<BlueprintPlugin.Attribute> parseHeader(java.lang.String value,
                                                                       aQute.libg.reporter.Reporter logger)

Copyright © 2011. All Rights Reserved.